> For the complete documentation index, see [llms.txt](https://developer.betstack.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.betstack.io/bet-engine-api/get-ticket-list-endpoint.md).

# Get ticket list endpoint

Request URL parameters:

<table><thead><tr><th width="167">Parameter</th><th width="206">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>limit</td><td>integer</td><td>Optional. Default = 10. Number of tickets to return</td></tr><tr><td>user_id</td><td>string</td><td>Optional. If presented - does filtration by ticket <code>user_id</code> field</td></tr><tr><td>skip_types</td><td>list of TicketType</td><td>Optional. List of Ticket Type (see <a data-mention href="/pages/X7kpzRZfS4vnwo3UUQLa">/pages/X7kpzRZfS4vnwo3UUQLa</a>). If presented - does filtration by ticket <code>type</code> field. Excludes tickets with types from <code>skip_type</code> parameter. If you want to exclude tickets with multiple types - pass types like this: <code>...&#x26;skip_types=superbet&#x26;skip_types=jackpot&#x26;...</code></td></tr></tbody></table>

Response for this endpoint is a list of objects. Each object represents separate ticket. For each ticket type response fields are the same as in [Get ticket endpoint](/bet-engine-api/get-ticket-endpoint.md).

Sample response (status=200):

```json
[
    {
        "id": "6314704d686a9e8e5d68dca6",
        "code": "E36E20",
        "psp": null,
        "price": 2000,
        "stake": 1800,
        "currency": "USD",
        "gross_payout": 12000,
        "net_payout": 10000,
        "wht_amount": 1300,
        "wht": 0.0,
        "ext_amount": 200,
        "ext": 10.0,
        "ext_type": "inclusive",
        "status": "open",
        "result": "pending",
        "approved": true,
        "source": "desktop",
        "type": "quicktip",
        "atag": "atag_value",
        "rtag": null,
        "aff_instant_comm_amt": null,
        "aff_instant_comm_pct": null,
        "user_id": "1660986605374148608",
        "psp": "mobile",
        "created": "2022-09-04T09:30:53.000000",
        "operator_time_created": "2022-09-04T11:30:53.000000",
        "updated": "2022-09-04T09:30:53.000000",
        "operator_time_updated": "2022-09-04T11:30:53.000000",
        "events": [...],
        "odds": 7.4
    },
    {
        "id": "6314704d686a9e8e5d68dca6",
        "code": "E36E20",
        "price": 2000,
        "stake": 1800,
        "gross_payout": 0,
        "net_payout": 0,
        "wht_amount": 0,
        "wht": 0.0,
        "ext_amount": 200,
        "ext": 10.0,
        "ext_type": "inclusive",
        "currency": "USD",
        "status": "resulted",
        "result": "lost",
        "approved": true,
        "source": "desktop",
        "type": "superbet",
        "atag": null,
        "rtag": "44nnljrn4r",
        "aff_instant_comm_amt": null,
        "aff_instant_comm_pct": null,
        "user_id": "1660986605374148608",
        "psp": "mobile",
        "created": "2022-09-04T09:30:53.000000",
        "operator_time_created": "2022-09-04T11:30:53.000000",
        "updated": "2022-09-04T09:30:53.000000",
        "operator_time_updated": "2022-09-04T11:30:53.000000",
        "event": {...},
        "bets": [...]
    },
    ...
]
```

Response status codes:

<table><thead><tr><th width="150">Status Code</th><th>Interpretation</th></tr></thead><tbody><tr><td>200</td><td>OK - Everything worked as expected</td></tr><tr><td>400</td><td>Bad Request. Please check error code in response body (see <a data-mention href="/pages/1INgng7U9kxpIeKAfEVj">/pages/1INgng7U9kxpIeKAfEVj</a>)</td></tr><tr><td>403</td><td>Forbidden. You do not have access for such request</td></tr><tr><td>422</td><td>Validation Error. Please check response body for more details</td></tr></tbody></table>

Error response (status=400):

```json
{
    "code": 112,
    "message": "Operator with `{operator-id}` name is not found"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.betstack.io/bet-engine-api/get-ticket-list-endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
